Bug 84795 - Menu, DropDown-List doesn’t disappear with right mouse click
Summary: Menu, DropDown-List doesn’t disappear with right mouse click
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Juergen Funk (CIB)
URL:
Whiteboard: target:4.4.0 target:4.5.0 target:4.4.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-08 09:01 UTC by Juergen Funk (CIB)
Modified: 2015-04-08 12:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Funk (CIB) 2014-10-08 09:01:21 UTC
When open a menu, and click with the right mouse button then no action, only the left mouse-button close the menu.
Comment 1 Juergen Funk (CIB) 2014-10-08 09:02:03 UTC
And will fixed
Comment 2 Juergen Funk (CIB) 2014-10-10 07:03:15 UTC
I have fixed.

A Example, for testing:
 Acronyms:
  MRC = mouse click right
  MLC = mouse click left
  --> = the action

 1. MLC to the Menu "File"
  --> Opening the File-Submenu
 2. MRC in the Document
  --> the File-Submenu close and the Submenu for the right mouse open
 3. MLC to the Menu "Edit"
  --> The Submenu for the right mouse close and the Edit-Submenu open

The same ist when you open the Style-Combobox, or a ListBox

_______________________________________________________________________________
The action BEFORE this Fix was:  
 1. MLC to the Menu "File"
  --> Opening of the File-Submenu
 2. MRC in the Document
  --> no action, you need MLC, and the MRC then Submenu for right mouse open
 3. MLC to the Menu "Edit"
  --> The Submenu for the right mouse close but the Edit-Submenu NOT open
Comment 4 Adolfo Jayme 2014-10-11 04:51:52 UTC
Thanks for dealing with this long-standing annoyance, Jürgen!
Comment 5 Caolán McNamara 2014-10-20 15:44:12 UTC
Unfortunately I had to revert this :-(

because it means that all disabled buttons get their "click" delivered.
So disabled buttons are only visually disabled.

e.g. in calc insert->object->chart and click on the disabled "back" -> crash or in writer: insert->table->autoformat, click on the disabled "rename" or "add"
or "remove" and the sub dialog appears.
Comment 6 Juergen Funk (CIB) 2014-10-21 11:28:46 UTC
I fix
Comment 7 Juergen Funk (CIB) 2014-10-21 13:46:42 UTC
Now fixed

the original patch 1
https://gerrit.libreoffice.org/#/c/11881/

the new patch 2
https://gerrit.libreoffice.org/#/c/12061/
Comment 8 Commit Notification 2014-11-03 11:31:56 UTC
Juergen Funk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa022a9c4fe74f3f67fb3c35ef49022842d7499b

fdo#84795 Menu, DropDown-List don't disappear with right mouse click

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-03-26 16:22:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=473eae3a7d43ca13ef14eca844b991ffd143e3a0

Revert "fdo#84795 Menu, DropDown-List don't disappear with right mouse click"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-03-26 16:22:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f9e20c46b616c7c51bae74bfefd5247f922b2a6

Resolves: fdo#84795 Menus don't disappear with right mouse click

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Juergen Funk (CIB) 2015-03-27 12:18:01 UTC
Hi Caolán McNamara

what is the reason for revert this fix.

My implementation was the same as in windows?
Comment 12 Commit Notification 2015-04-08 12:48:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6dbd3206c23b8b54cc4392a12fb8ba11d4caf81&h=libreoffice-4-4

Resolves: fdo#84795 Menus don't disappear with right mouse click

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.